<template>
  <v-app>
    <v-main class="bg">
      <div v-if="showNavBar">
        <NavBarComponent></NavBarComponent>
        <div class="body-container">
          <SideBarComponent style="z-index: 90;"></SideBarComponent>
        </div>
      </div>

      <router-view :key="$route.fullPath"/>
    </v-main>
  </v-app>
</template>

<script setup>

import NavBarComponent from './components/common/NavBarComponent.vue';
import SideBarComponent from '@/components/common/SideBarComponent.vue'
import { computed } from 'vue';
import { useRoute } from 'vue-router';

//verifica la metaetiqueta de la ruta y revisa si esta excluido de la pagina
const showNavBar = computed(() => {
  const currentRoute = useRoute();
  return currentRoute.meta.showNavBar !== false;
});

</script>


<style>
.bg {
  background-color: #18191a;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}
</style>
